/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2017.12.06
 * 描述               :        			分条拼料信息表
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/

package market.Mes.Lengthwise.Design.vo;
import java.io.Serializable;

import market.Mes.Lengthwise.Design.mapper.PlnLengthwiseDsnMultinfoMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PLN_LENGTHWISE_DSN_MULTINFO", namespace=PlnLengthwiseDsnMultinfoMapper.class)
public class PlnLengthwiseDsnMultinfo extends BaseVO implements Serializable {
	/**
	 * 分条拼料信息表
	 */
	private static final long serialVersionUID = 3584673921098203624L;
	@Id
	//序列号
	private long serial_no;
	public long  getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(long serial_no) {
		this.serial_no = serial_no;
	}

	@Column
	//分条设计号
	private String lw_design_no;
	public String  getLw_design_no() {
		return this.lw_design_no;
	}
	public void setLw_design_no(String lw_design_no) {
		this.lw_design_no = lw_design_no;
	}

	@Column

	//子卷序号
	private int sub_seq;
	public int  getSub_seq() {
		return this.sub_seq;
	}
	public void setSub_seq(int sub_seq) {
		this.sub_seq = sub_seq;
	}

	@Column

	//订单行号
	private String order_no;
	public String  getOrder_no() {
		return this.order_no;
	}
	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}

	@Column

	//生产订单号
	private String prod_order_no;
	public String  getProd_order_no() {
		return this.prod_order_no;
	}
	public void setProd_order_no(String prod_order_no) {
		this.prod_order_no = prod_order_no;
	}

	@Column

	//成品厚度
	private Double thick;
	public Double  getThick() {
		return this.thick;
	}
	public void setThick(Double thick) {
		this.thick = thick;
	}

	@Column

	//成品宽度
	private Double width;
	public Double  getWidth() {
		return this.width;
	}
	public void setWidth(Double width) {
		this.width = width;
	}

	@Column

	//成品长度
	private Double length;
	public Double  getLength() {
		return this.length;
	}
	public void setLength(Double length) {
		this.length = length;
	}

	@Column

	//成品内径
	private Double diameter_inn;
	public Double  getDiameter_inn() {
		return this.diameter_inn;
	}
	public void setDiameter_inn(Double diameter_inn) {
		this.diameter_inn = diameter_inn;
	}

	@Column

	//成品外径
	private Double diameter_out;
	public Double  getDiameter_out() {
		return this.diameter_out;
	}
	public void setDiameter_out(Double diameter_out) {
		this.diameter_out = diameter_out;
	}

	@Column

	//成品重量
	private Double weight;
	public Double  getWeight() {
		return this.weight;
	}
	public void setWeight(Double weight) {
		this.weight = weight;
	}

	@Column

	//定尺方式
	private String fixed_length_type_no;
	public String  getFixed_length_type_no() {
		return this.fixed_length_type_no;
	}
	public void setFixed_length_type_no(String fixed_length_type_no) {
		this.fixed_length_type_no = fixed_length_type_no;
	}

	@Column

	//切边方式
	private String cut_edge_type_no;
	public String  getCut_edge_type_no() {
		return this.cut_edge_type_no;
	}
	public void setCut_edge_type_no(String cut_edge_type_no) {
		this.cut_edge_type_no = cut_edge_type_no;
	}

	@Column
	//分条序号
	private Integer lw_seq;
	public Integer getLw_seq() {
		return lw_seq;
	}
	public void setLw_seq(Integer lw_seq) {
		this.lw_seq = lw_seq;
	}

	@Column
	//分段序号]
	private Integer seg_seq;
	public Integer getSeg_seq() {
		return seg_seq;
	}
	public void setSeg_seq(Integer seg_seq) {
		this.seg_seq = seg_seq;
	}

	@Column
	//销售加工计划号
	private String plan_no;
	public String getPlan_no() {
		return plan_no;
	}
	public void setPlan_no(String plan_no) {
		this.plan_no = plan_no;
	}
	
	
	
	
}
